# class GenPointer

Templated pointer that can be inserted in a list. More...

Full name | `TelEngine::GenPointer`
Definition | `#include <yateclass.h>`
Template form | GenPointer<class Obj = GenObject>
Inherits | TelEngine::GenObject [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline GenPointer ()
- inline GenPointer (const GenPointer<Obj>& value)
- inline GenPointer (Obj* object)
- inline GenPointer<Obj>& operator= (const GenPointer<Obj>& value)
- inline GenPointer<Obj>& operator= (Obj* object)
- inline operator Obj* () const
- inline Obj* operator-> () const
- inline Obj& operator* () const

## Detailed Description

inline GenPointer ()

### GenPointer

Default constructor - creates a null pointer

inline GenPointer (const GenPointer<Obj>& value)

### GenPointer

Copy constructor

Parameters:

value | Original GenPointer

inline GenPointer (Obj* object)

### GenPointer

Constructs an initialized pointer

Parameters:

object | Pointer to object

inline GenPointer<Obj>& operator= (const GenPointer<Obj>& value)

### operator=

Assignment from another GenPointer

inline GenPointer<Obj>& operator= (Obj* object)

### operator=

Assignment from regular pointer

inline operator Obj* ()

### operator Obj*

[const]

Conversion to regular pointer operator

Returns: The stored pointer

inline Obj* operator-> ()

### operator->

[const]

Member access operator

inline Obj& operator* ()

### operator*

[const]

Dereferencing operator

Generated by: paulc on bussard on Fri Dec 21 16:28:34 2012, using kdoc 2.0a54.